Sada		EQU	8000H		; endereo do porto de sada (bit 0 a 1 = LED aceso)
Entrada	EQU	0A000H	; endereo do porto de entrada onde liga o boto
					; (se o boto estiver carregado, o bit 0 vem a 1)

PLACE	0000H			; localiza bloco de instrues
incio:
	MOV	R2, Sada	; endereo do porto de sada
	MOV	R3, Entrada	; endereo do porto de entrada
apaga:
	MOV	R0, 0		; apaga o LED 
	MOVB	[R2], R0	; inicializa porto de sada
ciclo1:
	MOVB	R1, [R3]	; obtm estado do porto de entrada
	BIT	R1, 0		; verifica estado do bit 0
	JZ	ciclo1	; se estiver a 0, continua  espera
acende:
	MOV	R0, 1		; boto foi carregado. Acende o LED
	MOVB	[R2], R0	; pe a 1 o bit 0 do porto de sada
ciclo2:
	MOVB	R1, [R3]	; obtm estado do porto de entrada
	BIT	R1, 0		; verifica estado do bit 0
	JNZ	ciclo2	; se estiver a 1, espera que passe para 0
	JMP	apaga		; volta a esperar pelo boto carregado
